it-swarm-ja.com

WordPress 3.1はjQuery Mobileと互換性がありませんか?

私は最近WordPress 3.1にアップデートしましたが、そのアップデートで非常におもしろいことが起こりました。リンクがクリックできなくなった - リンクをクリックしても文字通り何も起こらない。興味深いことに、jQueryのものはすべてまだ機能しています。 jQuery Mobileスクリプトを削除すると、問題が解消されます。生成されているエラーは次のとおりです。

Error: uncaught exception: [Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXMLHttpRequest.open]"  nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)"  location: "JS frame :: http://......./wp-includes/js/jquery/jquery.js?ver=1.4.4 :: anonymous :: line 138"  data: no]

どのようにこれを修正するのですか?

2
epaps

推測にすぎないが、あなたのエラーメッセージはWordPressがjQuery 1.4.4を使っていることを示している。 jQuery MobileのWebサイトを見ると、1.5を使用しています。 jQuery 1.5を使うために wp_enqueue_script を使ってみましたか?次のようなことを試してみたいです。

<?php
function my_init_method() {
    if (!is_admin()) {
        wp_deregister_script( 'jquery' );
        wp_register_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.5/jquery.min.js');
        wp_enqueue_script( 'jquery' );
    }
}    

add_action('init', 'my_init_method');
?>
2
Manzabar